<?php

/**
 * @file
 * Providing extra functionality for the Model UI via views.
 */

/**
 * Implements hook_views_default_views().
 */
function casetracker_views_default_views() {

  $view = new view();
  $view->name = 'casetracker_case_listing';
  $view->description = 'Listing of all cases';
  $view->tag = 'Case Tracker';
  $view->base_table = 'casetracker_case';
  $view->human_name = 'Cases - Listing';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Case Tracker - Cases';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['access']['perm'] = 'access case tracker pages';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['query']['options']['query_comment'] = FALSE;
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '30';
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'cid' => 'cid',
    'pid' => 'pid',
    'title_1' => 'title_1',
    'title' => 'title',
    'type' => 'type',
    'changed' => 'changed',
    'field_casetracker_case_status' => 'field_casetracker_case_status',
    'edit_casetracker_case' => 'edit_casetracker_case',
    'delete_casetracker_case' => 'delete_casetracker_case',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'cid' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'pid' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'title_1' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'title' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'type' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'changed' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_casetracker_case_status' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'edit_casetracker_case' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'delete_casetracker_case' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  /* No results behavior: Global: Text area */
  $handler->display->display_options['empty']['area']['id'] = 'area';
  $handler->display->display_options['empty']['area']['table'] = 'views';
  $handler->display->display_options['empty']['area']['field'] = 'area';
  $handler->display->display_options['empty']['area']['content'] = 'No cases available.';
  $handler->display->display_options['empty']['area']['format'] = 'filtered_html';
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['field_casetracker_project_ref_target_id']['id'] = 'field_casetracker_project_ref_target_id';
  $handler->display->display_options['relationships']['field_casetracker_project_ref_target_id']['table'] = 'field_data_field_casetracker_project_ref';
  $handler->display->display_options['relationships']['field_casetracker_project_ref_target_id']['field'] = 'field_casetracker_project_ref_target_id';
  $handler->display->display_options['relationships']['field_casetracker_project_ref_target_id']['label'] = 'Project';
  /* Field: Case: Case ID */
  $handler->display->display_options['fields']['cid']['id'] = 'cid';
  $handler->display->display_options['fields']['cid']['table'] = 'casetracker_case';
  $handler->display->display_options['fields']['cid']['field'] = 'cid';
  $handler->display->display_options['fields']['cid']['label'] = 'ID';
  /* Field: Project: Title */
  $handler->display->display_options['fields']['title_1']['id'] = 'title_1';
  $handler->display->display_options['fields']['title_1']['table'] = 'casetracker_project';
  $handler->display->display_options['fields']['title_1']['field'] = 'title';
  $handler->display->display_options['fields']['title_1']['relationship'] = 'field_casetracker_project_ref_target_id';
  $handler->display->display_options['fields']['title_1']['label'] = 'Project';
  $handler->display->display_options['fields']['title_1']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['title_1']['alter']['path'] = 'casetracker/project/[pid]';
  /* Field: Case: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'casetracker_case';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['title']['alter']['path'] = 'casetracker/case/[cid]';
  /* Field: Case: Type */
  $handler->display->display_options['fields']['type']['id'] = 'type';
  $handler->display->display_options['fields']['type']['table'] = 'casetracker_case';
  $handler->display->display_options['fields']['type']['field'] = 'type';
  /* Field: Case: Last update */
  $handler->display->display_options['fields']['changed']['id'] = 'changed';
  $handler->display->display_options['fields']['changed']['table'] = 'casetracker_case';
  $handler->display->display_options['fields']['changed']['field'] = 'changed';
  $handler->display->display_options['fields']['changed']['label'] = 'Last updated';
  $handler->display->display_options['fields']['changed']['date_format'] = 'time span';
  /* Field: Case: Status */
  $handler->display->display_options['fields']['field_casetracker_case_status']['id'] = 'field_casetracker_case_status';
  $handler->display->display_options['fields']['field_casetracker_case_status']['table'] = 'field_data_field_casetracker_case_status';
  $handler->display->display_options['fields']['field_casetracker_case_status']['field'] = 'field_casetracker_case_status';
  /* Field: Case: Edit Link */
  $handler->display->display_options['fields']['edit_casetracker_case']['id'] = 'edit_casetracker_case';
  $handler->display->display_options['fields']['edit_casetracker_case']['table'] = 'casetracker_case';
  $handler->display->display_options['fields']['edit_casetracker_case']['field'] = 'edit_casetracker_case';
  $handler->display->display_options['fields']['edit_casetracker_case']['label'] = '';
  $handler->display->display_options['fields']['edit_casetracker_case']['element_label_colon'] = FALSE;
  /* Field: Case: Delete Link */
  $handler->display->display_options['fields']['delete_casetracker_case']['id'] = 'delete_casetracker_case';
  $handler->display->display_options['fields']['delete_casetracker_case']['table'] = 'casetracker_case';
  $handler->display->display_options['fields']['delete_casetracker_case']['field'] = 'delete_casetracker_case';
  $handler->display->display_options['fields']['delete_casetracker_case']['label'] = '';
  $handler->display->display_options['fields']['delete_casetracker_case']['element_label_colon'] = FALSE;
  /* Sort criterion: Case: Last update */
  $handler->display->display_options['sorts']['changed']['id'] = 'changed';
  $handler->display->display_options['sorts']['changed']['table'] = 'casetracker_case';
  $handler->display->display_options['sorts']['changed']['field'] = 'changed';
  $handler->display->display_options['sorts']['changed']['order'] = 'DESC';
  /* Filter criterion: Case: Status (field_casetracker_case_status) */
  $handler->display->display_options['filters']['field_casetracker_case_status_value']['id'] = 'field_casetracker_case_status_value';
  $handler->display->display_options['filters']['field_casetracker_case_status_value']['table'] = 'field_data_field_casetracker_case_status';
  $handler->display->display_options['filters']['field_casetracker_case_status_value']['field'] = 'field_casetracker_case_status_value';
  $handler->display->display_options['filters']['field_casetracker_case_status_value']['value'] = array(
    'open' => 'open',
  );
  $handler->display->display_options['filters']['field_casetracker_case_status_value']['group'] = 1;
  $handler->display->display_options['filters']['field_casetracker_case_status_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_casetracker_case_status_value']['expose']['operator_id'] = 'field_casetracker_case_status_value_op';
  $handler->display->display_options['filters']['field_casetracker_case_status_value']['expose']['label'] = 'Status';
  $handler->display->display_options['filters']['field_casetracker_case_status_value']['expose']['operator'] = 'field_casetracker_case_status_value_op';
  $handler->display->display_options['filters']['field_casetracker_case_status_value']['expose']['identifier'] = 'field_casetracker_case_status_value';
  $handler->display->display_options['filters']['field_casetracker_case_status_value']['expose']['multiple'] = TRUE;
  /* Filter criterion: Case: Title */
  $handler->display->display_options['filters']['title']['id'] = 'title';
  $handler->display->display_options['filters']['title']['table'] = 'casetracker_case';
  $handler->display->display_options['filters']['title']['field'] = 'title';
  $handler->display->display_options['filters']['title']['operator'] = 'contains';
  $handler->display->display_options['filters']['title']['group'] = 1;
  $handler->display->display_options['filters']['title']['exposed'] = TRUE;
  $handler->display->display_options['filters']['title']['expose']['operator_id'] = 'title_op';
  $handler->display->display_options['filters']['title']['expose']['label'] = 'Title contains';
  $handler->display->display_options['filters']['title']['expose']['operator'] = 'title_op';
  $handler->display->display_options['filters']['title']['expose']['identifier'] = 'title';

  /* Display: Page */
  $handler = $view->new_display('page', 'Page', 'page');
  $handler->display->display_options['path'] = 'admin/content/casetracker/cases';
  $handler->display->display_options['menu']['type'] = 'tab';
  $handler->display->display_options['menu']['title'] = 'Cases';
  $handler->display->display_options['menu']['weight'] = '0';
  $handler->display->display_options['menu']['context'] = 0;
  $handler->display->display_options['tab_options']['type'] = 'normal';
  $handler->display->display_options['tab_options']['title'] = 'Case Tracker';
  $handler->display->display_options['tab_options']['weight'] = '0';

  $views['casetracker_case_listing'] = $view;

  $view = new view;
  $view->name = 'casetracker_project_listing';
  $view->description = 'Listing of projects';
  $view->tag = 'Case Tracker';
  $view->base_table = 'casetracker_project';
  $view->human_name = 'Projects - Listing';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Case Tracker - Projects';
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['access']['perm'] = 'access case tracker pages';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['query']['options']['query_comment'] = FALSE;
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '30';
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'pid' => 'pid',
    'type' => 'type',
    'title' => 'title',
    'created' => 'created',
    'nothing_1' => 'nothing_1',
    'operations' => 'operations',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'pid' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'type' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'title' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'created' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'nothing_1' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'operations' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  $handler->display->display_options['style_options']['override'] = 1;
  $handler->display->display_options['style_options']['sticky'] = 0;
  $handler->display->display_options['style_options']['empty_table'] = 0;
  /* No results behavior: Global: Text area */
  $handler->display->display_options['empty']['area']['id'] = 'area';
  $handler->display->display_options['empty']['area']['table'] = 'views';
  $handler->display->display_options['empty']['area']['field'] = 'area';
  $handler->display->display_options['empty']['area']['empty'] = FALSE;
  $handler->display->display_options['empty']['area']['content'] = 'No projects available.';
  $handler->display->display_options['empty']['area']['format'] = 'filtered_html';
  $handler->display->display_options['empty']['area']['tokenize'] = 0;
  /* Field: Project: Project ID */
  $handler->display->display_options['fields']['pid']['id'] = 'pid';
  $handler->display->display_options['fields']['pid']['table'] = 'casetracker_project';
  $handler->display->display_options['fields']['pid']['field'] = 'pid';
  $handler->display->display_options['fields']['pid']['label'] = 'ID';
  $handler->display->display_options['fields']['pid']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['pid']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['pid']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['pid']['alter']['external'] = 0;
  $handler->display->display_options['fields']['pid']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['pid']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['pid']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['pid']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['pid']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['pid']['alter']['more_link'] = 0;
  $handler->display->display_options['fields']['pid']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['pid']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['pid']['alter']['html'] = 0;
  $handler->display->display_options['fields']['pid']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['pid']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['pid']['hide_empty'] = 0;
  $handler->display->display_options['fields']['pid']['empty_zero'] = 0;
  $handler->display->display_options['fields']['pid']['hide_alter_empty'] = 1;
  $handler->display->display_options['fields']['pid']['format_plural'] = 0;
  /* Field: Project: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'casetracker_project';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['title']['alter']['make_link'] = 1;
  $handler->display->display_options['fields']['title']['alter']['path'] = 'casetracker/project/[pid]';
  $handler->display->display_options['fields']['title']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['title']['alter']['external'] = 0;
  $handler->display->display_options['fields']['title']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['title']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['title']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['title']['alter']['more_link'] = 0;
  $handler->display->display_options['fields']['title']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['title']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['title']['alter']['html'] = 0;
  $handler->display->display_options['fields']['title']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['title']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['title']['hide_empty'] = 0;
  $handler->display->display_options['fields']['title']['empty_zero'] = 0;
  $handler->display->display_options['fields']['title']['hide_alter_empty'] = 1;
  /* Field: Project: Creation date */
  $handler->display->display_options['fields']['created']['id'] = 'created';
  $handler->display->display_options['fields']['created']['table'] = 'casetracker_project';
  $handler->display->display_options['fields']['created']['field'] = 'created';
  $handler->display->display_options['fields']['created']['label'] = 'Created in';
  $handler->display->display_options['fields']['created']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['created']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['created']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['created']['alter']['external'] = 0;
  $handler->display->display_options['fields']['created']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['created']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['created']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['created']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['created']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['created']['alter']['more_link'] = 0;
  $handler->display->display_options['fields']['created']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['created']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['created']['alter']['html'] = 0;
  $handler->display->display_options['fields']['created']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['created']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['created']['hide_empty'] = 0;
  $handler->display->display_options['fields']['created']['empty_zero'] = 0;
  $handler->display->display_options['fields']['created']['hide_alter_empty'] = 1;
  $handler->display->display_options['fields']['created']['date_format'] = 'custom';
  $handler->display->display_options['fields']['created']['custom_date_format'] = 'm/d/Y';
  /* Field: Global: Custom text */
  $handler->display->display_options['fields']['nothing_1']['id'] = 'nothing_1';
  $handler->display->display_options['fields']['nothing_1']['table'] = 'views';
  $handler->display->display_options['fields']['nothing_1']['field'] = 'nothing';
  $handler->display->display_options['fields']['nothing_1']['label'] = '';
  $handler->display->display_options['fields']['nothing_1']['alter']['text'] = 'view all cases';
  $handler->display->display_options['fields']['nothing_1']['alter']['make_link'] = 1;
  $handler->display->display_options['fields']['nothing_1']['alter']['path'] = 'casetracker/project/[pid]/cases';
  $handler->display->display_options['fields']['nothing_1']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['nothing_1']['alter']['external'] = 0;
  $handler->display->display_options['fields']['nothing_1']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['nothing_1']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['nothing_1']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['nothing_1']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['nothing_1']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['nothing_1']['alter']['more_link'] = 0;
  $handler->display->display_options['fields']['nothing_1']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['nothing_1']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['nothing_1']['alter']['html'] = 0;
  $handler->display->display_options['fields']['nothing_1']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['nothing_1']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['nothing_1']['hide_empty'] = 0;
  $handler->display->display_options['fields']['nothing_1']['empty_zero'] = 0;
  $handler->display->display_options['fields']['nothing_1']['hide_alter_empty'] = 0;
  /* Field: Broken/missing handler */
  $handler->display->display_options['fields']['edit_casetracker_project']['id'] = 'edit_casetracker_project';
  $handler->display->display_options['fields']['edit_casetracker_project']['table'] = 'casetracker_project';
  $handler->display->display_options['fields']['edit_casetracker_project']['field'] = 'edit_casetracker_project';
  $handler->display->display_options['fields']['edit_casetracker_project']['label'] = '';
  $handler->display->display_options['fields']['edit_casetracker_project']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['edit_casetracker_project']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['edit_casetracker_project']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['edit_casetracker_project']['alter']['external'] = 0;
  $handler->display->display_options['fields']['edit_casetracker_project']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['edit_casetracker_project']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['edit_casetracker_project']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['edit_casetracker_project']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['edit_casetracker_project']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['edit_casetracker_project']['alter']['more_link'] = 0;
  $handler->display->display_options['fields']['edit_casetracker_project']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['edit_casetracker_project']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['edit_casetracker_project']['alter']['html'] = 0;
  $handler->display->display_options['fields']['edit_casetracker_project']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['edit_casetracker_project']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['edit_casetracker_project']['hide_empty'] = 0;
  $handler->display->display_options['fields']['edit_casetracker_project']['empty_zero'] = 0;
  $handler->display->display_options['fields']['edit_casetracker_project']['hide_alter_empty'] = 1;
  /* Field: Broken/missing handler */
  $handler->display->display_options['fields']['delete_casetracker_project']['id'] = 'delete_casetracker_project';
  $handler->display->display_options['fields']['delete_casetracker_project']['table'] = 'casetracker_project';
  $handler->display->display_options['fields']['delete_casetracker_project']['field'] = 'delete_casetracker_project';
  $handler->display->display_options['fields']['delete_casetracker_project']['label'] = '';
  $handler->display->display_options['fields']['delete_casetracker_project']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['delete_casetracker_project']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['delete_casetracker_project']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['delete_casetracker_project']['alter']['external'] = 0;
  $handler->display->display_options['fields']['delete_casetracker_project']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['delete_casetracker_project']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['delete_casetracker_project']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['delete_casetracker_project']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['delete_casetracker_project']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['delete_casetracker_project']['alter']['more_link'] = 0;
  $handler->display->display_options['fields']['delete_casetracker_project']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['delete_casetracker_project']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['delete_casetracker_project']['alter']['html'] = 0;
  $handler->display->display_options['fields']['delete_casetracker_project']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['delete_casetracker_project']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['delete_casetracker_project']['hide_empty'] = 0;
  $handler->display->display_options['fields']['delete_casetracker_project']['empty_zero'] = 0;
  $handler->display->display_options['fields']['delete_casetracker_project']['hide_alter_empty'] = 1;
  /* Sort criterion: Project: Last update */
  $handler->display->display_options['sorts']['changed']['id'] = 'changed';
  $handler->display->display_options['sorts']['changed']['table'] = 'casetracker_project';
  $handler->display->display_options['sorts']['changed']['field'] = 'changed';
  $handler->display->display_options['sorts']['changed']['order'] = 'DESC';
  /* Filter criterion: Project: Title */
  $handler->display->display_options['filters']['title']['id'] = 'title';
  $handler->display->display_options['filters']['title']['table'] = 'casetracker_project';
  $handler->display->display_options['filters']['title']['field'] = 'title';
  $handler->display->display_options['filters']['title']['operator'] = 'contains';
  $handler->display->display_options['filters']['title']['exposed'] = TRUE;
  $handler->display->display_options['filters']['title']['expose']['operator_id'] = 'title_op';
  $handler->display->display_options['filters']['title']['expose']['label'] = 'Title contains';
  $handler->display->display_options['filters']['title']['expose']['operator'] = 'title_op';
  $handler->display->display_options['filters']['title']['expose']['identifier'] = 'title';
  $handler->display->display_options['filters']['title']['expose']['required'] = 0;
  $handler->display->display_options['filters']['title']['expose']['multiple'] = FALSE;

  /* Display: Page */
  $handler = $view->new_display('page', 'Page', 'page');
  $handler->display->display_options['path'] = 'admin/content/casetracker/projects';
  $handler->display->display_options['menu']['type'] = 'tab';
  $handler->display->display_options['menu']['title'] = 'Projects';
  $handler->display->display_options['menu']['weight'] = '0';
  $handler->display->display_options['menu']['context'] = 0;

  $views['casetracker_project_listing'] = $view;

  $view = new view();
  $view->name = 'casetracker_project_cases';
  $view->description = 'Listing of cases from a particular project';
  $view->tag = 'Case Tracker';
  $view->base_table = 'casetracker_case';
  $view->human_name = 'Project - Cases';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['access']['perm'] = 'access case tracker pages';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['query']['options']['query_comment'] = FALSE;
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '20';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['pager']['options']['id'] = '0';
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'cid' => 'cid',
    'type' => 'type',
    'title' => 'title',
    'field_casetracker_case_status' => 'field_casetracker_case_status',
    'field_casetracker_case_due_date' => 'field_casetracker_case_due_date',
    'changed' => 'changed',
    'name' => 'name',
    'nothing' => 'nothing',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'cid' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'type' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'title' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_casetracker_case_status' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_casetracker_case_due_date' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'changed' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'name' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'nothing' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  /* No results behavior: Global: Text area */
  $handler->display->display_options['empty']['area']['id'] = 'area';
  $handler->display->display_options['empty']['area']['table'] = 'views';
  $handler->display->display_options['empty']['area']['field'] = 'area';
  $handler->display->display_options['empty']['area']['content'] = 'No cases available.';
  $handler->display->display_options['empty']['area']['format'] = 'filtered_html';
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['field_project_ref_target_id']['id'] = 'field_project_ref_target_id';
  $handler->display->display_options['relationships']['field_project_ref_target_id']['table'] = 'field_data_field_project_ref';
  $handler->display->display_options['relationships']['field_project_ref_target_id']['field'] = 'field_project_ref_target_id';
  $handler->display->display_options['relationships']['field_project_ref_target_id']['label'] = 'Project';
  $handler->display->display_options['relationships']['field_project_ref_target_id']['required'] = TRUE;
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['field_casetracker_assign_to_target_id']['id'] = 'field_casetracker_assign_to_target_id';
  $handler->display->display_options['relationships']['field_casetracker_assign_to_target_id']['table'] = 'field_data_field_casetracker_assign_to';
  $handler->display->display_options['relationships']['field_casetracker_assign_to_target_id']['field'] = 'field_casetracker_assign_to_target_id';
  $handler->display->display_options['relationships']['field_casetracker_assign_to_target_id']['label'] = 'Assign to';
  /* Field: Case: Case ID */
  $handler->display->display_options['fields']['cid']['id'] = 'cid';
  $handler->display->display_options['fields']['cid']['table'] = 'casetracker_case';
  $handler->display->display_options['fields']['cid']['field'] = 'cid';
  $handler->display->display_options['fields']['cid']['label'] = 'ID';
  /* Field: Case: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'casetracker_case';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['title']['alter']['path'] = 'casetracker/case/[cid]';
  /* Field: Case: Last update */
  $handler->display->display_options['fields']['changed']['id'] = 'changed';
  $handler->display->display_options['fields']['changed']['table'] = 'casetracker_case';
  $handler->display->display_options['fields']['changed']['field'] = 'changed';
  $handler->display->display_options['fields']['changed']['label'] = 'Last updated';
  $handler->display->display_options['fields']['changed']['date_format'] = 'short';
  /* Field: Case: Status */
  $handler->display->display_options['fields']['field_casetracker_case_status']['id'] = 'field_casetracker_case_status';
  $handler->display->display_options['fields']['field_casetracker_case_status']['table'] = 'field_data_field_casetracker_case_status';
  $handler->display->display_options['fields']['field_casetracker_case_status']['field'] = 'field_casetracker_case_status';
  /* Field: Case: Edit Link */
  $handler->display->display_options['fields']['edit_casetracker_case']['id'] = 'edit_casetracker_case';
  $handler->display->display_options['fields']['edit_casetracker_case']['table'] = 'casetracker_case';
  $handler->display->display_options['fields']['edit_casetracker_case']['field'] = 'edit_casetracker_case';
  $handler->display->display_options['fields']['edit_casetracker_case']['label'] = '';
  $handler->display->display_options['fields']['edit_casetracker_case']['element_label_colon'] = FALSE;
  /* Field: Case: Delete Link */
  $handler->display->display_options['fields']['delete_casetracker_case']['id'] = 'delete_casetracker_case';
  $handler->display->display_options['fields']['delete_casetracker_case']['table'] = 'casetracker_case';
  $handler->display->display_options['fields']['delete_casetracker_case']['field'] = 'delete_casetracker_case';
  $handler->display->display_options['fields']['delete_casetracker_case']['label'] = '';
  $handler->display->display_options['fields']['delete_casetracker_case']['element_label_colon'] = FALSE;
  /* Sort criterion: Case: Last update */
  $handler->display->display_options['sorts']['changed']['id'] = 'changed';
  $handler->display->display_options['sorts']['changed']['table'] = 'casetracker_case';
  $handler->display->display_options['sorts']['changed']['field'] = 'changed';
  $handler->display->display_options['sorts']['changed']['order'] = 'DESC';
  /* Contextual filter: Project: Project ID */
  $handler->display->display_options['arguments']['pid']['id'] = 'pid';
  $handler->display->display_options['arguments']['pid']['table'] = 'casetracker_project';
  $handler->display->display_options['arguments']['pid']['field'] = 'pid';
  $handler->display->display_options['arguments']['pid']['relationship'] = 'field_project_ref_target_id';
  $handler->display->display_options['arguments']['pid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['pid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['pid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['pid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['pid']['summary_options']['items_per_page'] = '25';
  /* Filter criterion: Case: Status (field_casetracker_case_status) */
  $handler->display->display_options['filters']['field_casetracker_case_status_value']['id'] = 'field_casetracker_case_status_value';
  $handler->display->display_options['filters']['field_casetracker_case_status_value']['table'] = 'field_data_field_casetracker_case_status';
  $handler->display->display_options['filters']['field_casetracker_case_status_value']['field'] = 'field_casetracker_case_status_value';
  $handler->display->display_options['filters']['field_casetracker_case_status_value']['group'] = 1;
  $handler->display->display_options['filters']['field_casetracker_case_status_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_casetracker_case_status_value']['expose']['operator_id'] = 'field_casetracker_case_status_value_op';
  $handler->display->display_options['filters']['field_casetracker_case_status_value']['expose']['label'] = 'Status';
  $handler->display->display_options['filters']['field_casetracker_case_status_value']['expose']['operator'] = 'field_casetracker_case_status_value_op';
  $handler->display->display_options['filters']['field_casetracker_case_status_value']['expose']['identifier'] = 'field_casetracker_case_status_value';
  $handler->display->display_options['filters']['field_casetracker_case_status_value']['expose']['multiple'] = TRUE;
  $handler->display->display_options['filters']['field_casetracker_case_status_value']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    3 => 0,
  );
  /* Filter criterion: Case: Title */
  $handler->display->display_options['filters']['title']['id'] = 'title';
  $handler->display->display_options['filters']['title']['table'] = 'casetracker_case';
  $handler->display->display_options['filters']['title']['field'] = 'title';
  $handler->display->display_options['filters']['title']['operator'] = 'contains';
  $handler->display->display_options['filters']['title']['group'] = 1;
  $handler->display->display_options['filters']['title']['exposed'] = TRUE;
  $handler->display->display_options['filters']['title']['expose']['operator_id'] = 'title_op';
  $handler->display->display_options['filters']['title']['expose']['label'] = 'Title contains';
  $handler->display->display_options['filters']['title']['expose']['operator'] = 'title_op';
  $handler->display->display_options['filters']['title']['expose']['identifier'] = 'title';

  /* Display: Page */
  $handler = $view->new_display('page', 'Page', 'page');
  $handler->display->display_options['path'] = 'casetracker/project/%/cases';
  $handler->display->display_options['menu']['type'] = 'tab';
  $handler->display->display_options['menu']['title'] = 'View all cases';
  $handler->display->display_options['menu']['weight'] = '0';
  $handler->display->display_options['menu']['context'] = 0;
  $handler->display->display_options['tab_options']['type'] = 'normal';
  $handler->display->display_options['tab_options']['title'] = 'Case Tracker';
  $handler->display->display_options['tab_options']['weight'] = '0';

  $views['casetracker_project_cases'] = $view;
  return $views;
}